<template>
    <v-container>
        <h2 class="text-center">Create a new User</h2>
    <v-form v-model="valid">
        <v-text-field v-model="username" label="Username of new User" :rules="usernameRules"></v-text-field>
        <v-text-field v-model="password" label="Password of new User" :rules="passwordRules"></v-text-field>
        <v-select v-model="usertype" label="Usertype of new User" :items="options" :rules="usertypeRules"></v-select>
        <v-row justify="center">
        <v-btn color="primary" :disabled="!valid" @click="$emit('create-user',user={'username':username,'password':password,'userType':usertype})">Create User</v-btn>
        </v-row>
    </v-form>
    </v-container>
</template>

<script>
export default {
    name:"CreateUser",
    data:()=>({
        username:null,
        password:null,
        usertype:null,
        options:['Regular User','Admin'],
        usernameRules:[v=>!!v || 'Username is required'],
        passwordRules:[v=>!!v || 'Password is required'],
        usertypeRules:[v=>!!v || 'Usertype is required'],
        valid:true
    })
}
</script>